function rocketflare1fx()
	local pcl = particlecloud.load("rocketflar1fx",256,0)
	pcl:rsBlendmode(blendmode.add())
	-- as we have small stuff, try pointsprites
	pcl:typequad()
	pcl:sequencecount(1)
	-- no extra color
	pcl:particlecolor(false)
	pcl:particlerotate(true)
	pcl:color(1,1,1,1)
	local mat = texture.load2d("rocketflare.tga")
	--local mat = texture.load2d("lasershot.tga")
	pcl:matsurface(mat)
	
	return pcl
end

function rocketflare1fxgrp(pcl,layer)
	local pgrp = l3dpgroup.new("rocketflar1fx",pcl,layer or l3dset.layer1(l3dset.getnormal()))
	pgrp:prtSize(0,100)
	pgrp:autorot(1)
	pgrp:typeworldref()
	pgrp:linkinterface(scenenode.getroot())

	return pgrp;
end

do 
	local rocketflare1 = rocketflare1fx()
	local rocketflare1grp = rocketflare1fxgrp(rocketflare1)
	return rocketflare1,rocketflare1grp
end